summaryrefslogtreecommitdiffstats
path: root/modules/streams/groove
diff options
context:
space:
mode:
authorFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-27 13:53:14 +0200
committerFelix Richter <Felix.Richter@syntax-fehler.de>2011-05-27 13:53:14 +0200
commitce9ed19b3b6ed9b49690e1a84a94190922000abf (patch)
treefdf01a81bcb9e1f4c5c5c78171cdcb54d7367810 /modules/streams/groove
parenteaca1684da22a3560e7f32da9f08e7549e74600e (diff)
parenta6563e5a9c554aa5d08c11f645815fb25deb8bcd (diff)
Merge branch 'master' of github.com:krebscode/painload
Diffstat (limited to 'modules/streams/groove')
-rwxr-xr-xmodules/streams/groove31
1 files changed, 28 insertions, 3 deletions
diff --git a/modules/streams/groove b/modules/streams/groove
index 9b721adf..2d4a3e28 100755
--- a/modules/streams/groove
+++ b/modules/streams/groove
@@ -1,4 +1,29 @@
-#! /bin/sh
+#! /bin/bash
set -euf
-pkill mplayer || true
-exec mplayer http://somafm.com/groovesalad.pls
+function stop()
+{
+ pkill mplayer || true
+}
+
+CMD="while true; do exec mplayer http://somafm.com/groovesalad.pls; sleep 1;done"
+case "$1" in
+ start)
+ stop
+ if tmux list-sessions;
+ then
+ tmux new-window "$CMD" &
+ else
+ tmux new-session "$CMD" &
+ fi
+ ;;
+ stop)
+ stop
+ ;;
+ restart)
+ stop
+ start
+ ;;
+ *)
+ echo "aidsballs"
+ ;;
+esac